%define momorel 8

Summary: NetWare file and print servers which run on Linux systems.
Name: mars-nwe
Version: 0.99.pl20
Release: %{momorel}m
License: GPL
URL: http://systemhaus.gkdmedien.de/mars_nwe/index.html
Source:  ftp://www.compu-art.de/mars_nwe/mars_nwe-%{version}.tgz
Source1: mars_nwe-mk.li
Source2: mars_nwe-config.h
Source4: mars_nwe-readme.txt
Source5: mars_nwe.init
Source6: mars_nwe.log
Patch1: mars_nwe-glibc21.patch
Patch2: mars_nwe-0.99.pl19-buffer.patch
Patch3: mars_nwe-rh.patch
Group: System Environment/Daemons
Prereq: chkconfig, initscripts
Requires: ipxutils
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: gdbm-devel >= 1.8.0
NoSource: 0

%description
The mars_nwe (MARtin Stover's NetWare Emulator) package enables Linux
to provide both file and print services for NetWare clients (i.e.,
providing the services of a Novell NetWare file server).  Mars_nwe
allows the sharing of files between Linux machines and Novell NetWare
clients, using NetWare's native IPX protocol suite.

Install the mars_nwe package if you need a Novell NetWare file server
on your Kondara MNU/Linux system.

%prep
%setup -q -n mars_nwe
%patch1 -p1 -b .glibc21
%patch2 -p1 -b .buffer
%patch3 -p1 -b .rh
cp -f $RPM_SOURCE_DIR/mars_nwe-config.h ./config.h
cp -f $RPM_SOURCE_DIR/mars_nwe-mk.li ./mk.li

%build
chmod 755 mk.li
make CPP="gcc -E -traditional" RPM_OPT_FLAGS="%{optflags} -D_GNU_SOURCE_ -DUSE_GDBM"

%install
rm -rf %{buildroot}
for I in sys/login sys/public sys/system bindery; do \
	mkdir -p --mode=0755 %{buildroot}/var/mars_nwe/$I
done

mkdir -p %{buildroot}/var/log %{buildroot}/var/run
install -m644 $RPM_SOURCE_DIR/mars_nwe-readme.txt %{buildroot}/var/mars_nwe/sys/readme.txt
:> %{buildroot}/var/log/mars_nwe.log
chmod 0644 %{buildroot}/var/log/mars_nwe.log
:> %{buildroot}/var/run/mars_nwe.routes
chmod 0644 %{buildroot}/var/run/mars_nwe.routes

mkdir -p %{buildroot}/etc %{buildroot}/usr/sbin
install -m644 examples/nwserv.stations %{buildroot}/etc/nwserv.stations
for I in nwserv nwconn ncpserv nwclient nwbind; do
	install -s -m 755 $I %{buildroot}/usr/sbin/$I
done
install -m600 examples/nw.ini %{buildroot}/etc/nwserv.conf

mkdir -p %{buildroot}%{_initscriptdir} %{buildroot}/etc/logrotate.d
install -m755 $RPM_SOURCE_DIR/mars_nwe.init %{buildroot}%{_initscriptdir}/mars-nwe
install -m644 $RPM_SOURCE_DIR/mars_nwe.log %{buildroot}/etc/logrotate.d/mars-nwe.log

%clean
rm -rf %{buildroot}
rm -f /tmp/mars_nwe.err

%post
/sbin/chkconfig --add mars-nwe

%preun
if [ $1 = 0 ]; then
    /sbin/service mars-nwe stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del mars-nwe
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service mars-nwe condrestart > /dev/null 2>&1 || :
fi

%files
%defattr(-,root,root)
%dir /var/mars_nwe
/var/mars_nwe/sys
%dir /var/mars_nwe/bindery
%ghost /var/log/mars_nwe.log
%ghost /var/run/mars_nwe.routes
%config(noreplace) /etc/nwserv.conf
%config(noreplace) /etc/nwserv.stations
%config /etc/logrotate.d/mars-nwe.log
%doc README COPYING doc examples
/usr/sbin/nwserv
/usr/sbin/nwconn
/usr/sbin/ncpserv
/usr/sbin/nwclient
/usr/sbin/nwbind
%config %{_initscriptdir}/mars-nwe

%changelog
* Mon Dec 22 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.99.pl20-8m)
- accept gdbm-devel-1.8.0 or newer

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.99.pl20-7m)
- rebuild against gdbm-1.8.0

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.pl20-3m)
- rebuild against for gdbm

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.99.pl20-2k)
- update to 0.99.pl20

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.99pl-19k)
- rebuild againt rpm-3.0.5-39k

* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- use _initscriptdir macro to keep backword compatibility.

* Thu Nov 23 2000 Toru Hoshina <toru@df-usa.com>
- DON'T USE CPP DIRECTLY! use gcc -E instead.

* Mon Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix %%post and %%postun scripts

* Sun Jul 23 2000 Trond Eivind Glomsr?<teg@redhat.com>
- source files from /etc/rc.d/init.d
- don't prereq /etc/init.d anymore
- rename "rh-status"

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com> 
- don't prereq, only require initscripts

* Mon Jun 26 2000 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- added defattr

* Wed Jun 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweak logrotate configuration file to use the PID file in /var/run

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- update to pl19

* Tue Apr 18 2000 Bill Nottingham <notting@redhat.com>
- build on alpha again
- require ipxutils
- futz with default config some (use included sample)

* Thu Feb 24 2000 Bill Nottingham <notting@redhat.com>
- don't build on alpha for now

* Tue Dec 22 1999 Bill Nottingham <notting@redhat.com>
- fix buffer overflow patch oops

* Mon Oct 18 1999 Bill Nottingham <notting@redhat.com>
- fix typo in buffer overflow patch
- fix path to killall in logrotate file

* Fri Sep  3 1999 Bill Nottingham <notting@redhat.com>
- add patch to fix some buffer overflows.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.99.pl17

* Thu Jun 10 1999 Dale Lovelace <dale@redhat.com>
- fixed logrotate script

* Mon May 24 1999 Bill Nottingham <notting@redhat.com>
- update to 0.99.pl16

* Thu May 13 1999 Bill Nottingham <notting@redhat.com>
- actually update source to 0.99.pl15. Doh!

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate fixes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 0.99.pl15

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- update to 0.99.pl14

* Tue Aug 18 1998 Cristian Gafton <gafton@redhat.com>
- buildroot

* Sun May 10 1998 Alan Cox <alan@redhat.com>
- Made it compile with 2.1.* kernels and also gcc 2.0.7 where sysv_signal
  is correctly hidden as __sysv_signal.

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 0.99pl6
- enhanced initscripts

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- use sysv_signal everywhere instead of normal signal -- this makes signal
  handlers not block signals, which mars_nwe expects
- changed _ to - in name of logrotate config file

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated for chkconfig
- doesn't start by default
- added status, restart options to init script

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
